Bug 149317 - snd_intel8x0 stopped working after switching to RHEL4
Summary: snd_intel8x0 stopped working after switching to RHEL4
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-22 11:52 UTC by Mike Young
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 18:04:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Young 2005-02-22 11:52:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
I was able to get sound working great on my HP zd7000 with RHEL3 by
using ALSA with snd_intel8x0.  I did a new install of RHEL4 which
detected the same ALSA driver but no more sound.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RHEL4
2.Try to play a CD or MP3
3.
    

Actual Results:  No sound

Additional info:

Comment 1 Mike Young 2005-02-22 13:05:23 UTC
I forgot to mention I build the alsa-driver-1.0.6a following step on 
the intel8x0 page and got some very choppy sound working.

Comment 3 Martin Stransky 2005-03-08 07:54:11 UTC
Yes, there are lots of problems with alsa-1.0.6 and intel8x0 driver.
You can try update drivers/lib to 1.0.8.

Comment 4 Shadi T. Khasawneh 2005-03-13 00:24:16 UTC
I've the same problem on my Dell Desktop (DXFDN51) - RHEL AS v4. This is my
Audio device description (from RHN):
Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller, PCI,
snd-intel8x0.
The same problem repreduces on Fedora Core 3!


Comment 5 Shadi T. Khasawneh 2005-03-19 18:00:28 UTC
My sound card is working fine now,

- I've installed alsa lib & util 1.0.8 from www.alsa-project.com.
- Then, executed alsaconf. (This step is required, otherwise it will NOT work)
- Tried the SoundDetection/Test => Works fine!

Hopefully this will help others!

Shadi Khasawneh



Comment 6 Martin Stransky 2005-05-10 10:29:15 UTC
Mike, any news on this issue? Have you tried a new alsa driver?

Comment 7 Mike Young 2005-05-22 15:05:43 UTC
Sound is working now after installing ALSA 1.0.8 driver,lib, and 
utils and running alsaconf. Thanks.


Comment 8 Martin Stransky 2005-06-20 08:14:35 UTC
If we want to fix this bug, we need to update the drivers in kernel...


Comment 11 John W. Linville 2005-06-21 18:04:58 UTC
Wholesale ALSA updates have been deemed too risky to support in a RHEL update.  
I'm going to have to close this as WONTFIX, and recommend that those 
experiencing this issue update ALSA on their own...I'm sorry... 


Note You need to log in before you can comment on or make changes to this bug.